Cert Kit CS0-001: CompTIA Cybersecurity Analyst (CySA+)

Cert Toolkit
In-depth e-learning content includes 365-day online access to exam quizzes, tips and information, and online coaching/mentoring from certified professionals who know how to pass the exam.

$319


Description:

A Cybersecurity Analyst is responsible for the overall security of IT systems. This begins with a secure approach to system design, testing, and implementation. Ongoing monitoring determines whether existing security controls are effective in protecting assets.

Prerequisites:

To ensure your success in this course, you should meet the following requirements:

  • At least two years of experience in computer network security technology or a related field.
  • The ability to recognize information security vulnerabilities and threats in the context of risk management.
  • Foundation-level operational skills with some of the common operating systems for computing environments.
  • Foundational knowledge of the concepts and operational framework of common assurance safeguards in computing environments. Safeguards include, but are not limited to, basic authentication and authorization, resource permissions, and anti-malware mechanisms.
  • Foundation-level understanding of some of the common concepts for network environments, such as routing and switching.
  • Foundational knowledge of major TCP/IP networking protocols, including, but not limited to, TCP, IP, UDP, DNS, HTTP, ARP, ICMP, and DHCP.
  • Foundational knowledge of the concepts and operational framework of common assurance safeguards in network environments. Safeguards include, but are not limited to, firewalls, intrusion prevention systems, and VPNs.

Course outcome:

  • Assess information security risk in computing and network environments.
  • Analyze reconnaissance threats to computing and network environments.
  • Analyze attacks on computing and network environments.
  • Analyze post-attack techniques on computing and network environments.
  • Implement a vulnerability management program.
  • Collect cybersecurity intelligence.
  • Analyze data collected from security and event logs.
  • Perform active analysis on assets and networks.
  • Respond to cybersecurity incidents.
  • Investigate cybersecurity incidents.
  • Address security issues with the organization's technology architecture.

Who should attend:

This course is designed primarily for cybersecurity practitioners who perform job functions related to protecting information systems by ensuring their availability, integrity, authentication, confidentiality, and non-repudiation. This course focuses on the knowledge, ability, and skills necessary to provide for the defense of those information systems in a cybersecurity context, including protection, detection, analysis, investigation, and response processes.

Module overview:

  • E-learning courses:
    • CompTIA Cybersecurity Analyst+ CS0-001: Network Architecture And Reconnaissance
    • CompTIA Cybersecurity Analyst+ CS0-001: Threat Identification
    • CompTIA Cybersecurity Analyst+ CS0-001: Threat Mitigation
    • CompTIA Cybersecurity Analyst+ CS0-001: Reducing Vulnerabilities
    • CompTIA Cybersecurity Analyst+ CS0-001: Investigate Security Incidents
    • CompTIA Cybersecurity Analyst+ CS0-001: Monitoring For Security Issues
  • MeasureUp Exam simulation
    • 200+ Questions
  • Online Mentor
  • Tips & Tricks
PlatformOperating SystemBrowser
Chrome 39 Firefox 34 Internet Explorer 10 and 11 Safari 8
PC W7 x86 X X X
W7 x64 X X X
W8.1 x86 X X X
W8.1 x64 X X X
MAC OSX 10.9 X X X
OSX 10.10 X X X
LINUX Linux x86 X X
Linux x64 X X
Surface Pro Windows 8 X X X
PlatformOperating SystemBrowser
Safari 8 Android Chrome 39 Internet Explorer RT Internet Explorer 11
iPad* IOS 8 X X
iPhone 5 or higher* IOS 8 X X
iPhone 4* IOS 7 X X
Android Tablet* 4.0 or higher X X
Android Phone* 4.0 or higher X X
Lumia 920 or higher* Windows Phone 8.1 X
Surface Windows RT X

*Online use only with these devices


Download System Requeriments

  • Win7, Win8.1, Linux 64 bits, MAC OSX 10.9 and 10.10
  • We no longer support XP